// _FicheDePoste_Interface.java
// Created on 12 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.postes.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _FicheDePoste_Interface extends COFrame {

    /** Creates new form _FicheDePoste_Interface */
    public _FicheDePoste_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupActivites = new org.cocktail.component.CODisplayGroupDetail();
        displayGroupAutresActivites = new org.cocktail.component.CODisplayGroupDetail();
        displayGroupCompetences = new org.cocktail.component.CODisplayGroupDetail();
        vueBoutonsModification = new org.cocktail.component.COView();
        cOButton15 = new org.cocktail.component.COButton();
        cOButton16 = new org.cocktail.component.COButton();
        cOButton14 = new org.cocktail.component.COButton();
        listeAffichage = new org.cocktail.component.COTable();
        vueBoutonsValidation = new org.cocktail.component.COView();
        cOButton9 = new org.cocktail.component.COButton();
        cOButton13 = new org.cocktail.component.COButton();
        cOButton1 = new org.cocktail.component.COButton();
        vueOnglets = new javax.swing.JTabbedPane();
        Info = new javax.swing.JPanel();
        cOView1 = new org.cocktail.component.COView();
        cOCheckbox1 = new org.cocktail.component.COCheckbox();
        cOCheckbox2 = new org.cocktail.component.COCheckbox();
        cOCheckbox3 = new org.cocktail.component.COCheckbox();
        cOTextField3 = new org.cocktail.component.COTextField();
        jLabel1 = new javax.swing.JLabel();
        cOButton21 = new org.cocktail.component.COButton();
        cOTextField2 = new org.cocktail.component.COTextField();
        cOTextField1 = new org.cocktail.component.COTextField();
        cOButton20 = new org.cocktail.component.COButton();
        jLabel3 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        Contexte = new javax.swing.JPanel();
        cOTextArea1 = new org.cocktail.component.COTextArea();
        cOLabel1 = new org.cocktail.component.COLabel();
        Mission = new javax.swing.JPanel();
        cOTextArea2 = new org.cocktail.component.COTextArea();
        cOLabel2 = new org.cocktail.component.COLabel();
        Activite = new javax.swing.JPanel();
        listeActivites = new org.cocktail.component.COTable();
        cOButton4 = new org.cocktail.component.COButton();
        cOButton2 = new org.cocktail.component.COButton();
        cOButton3 = new org.cocktail.component.COButton();
        Competences = new javax.swing.JPanel();
        cOButton5 = new org.cocktail.component.COButton();
        cOButton6 = new org.cocktail.component.COButton();
        cOButton7 = new org.cocktail.component.COButton();
        listeCompetences = new org.cocktail.component.COTable();
        AutresActivites = new javax.swing.JPanel();
        cOButton8 = new org.cocktail.component.COButton();
        cOButton11 = new org.cocktail.component.COButton();
        listeAutresActivites = new org.cocktail.component.COTable();
        champTexteAutre = new org.cocktail.component.COTextArea();
        cOLabel3 = new org.cocktail.component.COLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();

        displayGroup.setEntityName("FicheDePoste");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupActivites.setDetailRelationship("tosRepartFdpActi");
        displayGroupActivites.setDisplayGroupMaster(displayGroup);
        displayGroupActivites.setEntityName("RepartFdpActi");
        displayGroupActivites.setHasDelegate(true);

        displayGroupAutresActivites.setDetailRelationship("tosRepartFdpAutre");
        displayGroupAutresActivites.setDisplayGroupMaster(displayGroup);
        displayGroupAutresActivites.setEntityName("RepartFdpAutre");
        displayGroupAutresActivites.setHasDelegate(true);

        displayGroupCompetences.setDetailRelationship("tosRepartFdpComp");
        displayGroupCompetences.setDisplayGroupMaster(displayGroup);
        displayGroupCompetences.setEntityName("RepartFdpComp");
        displayGroupCompetences.setHasDelegate(true);

        setControllerClassName("org.cocktail.mangue.client.postes.FicheDePoste");
        setSize(new java.awt.Dimension(845, 293));

        cOButton15.setActionName("supprimer");
        cOButton15.setBorderPainted(false);
        cOButton15.setEnabledMethod("boutonModificationAutorise");
        cOButton15.setIconName("supprimer16.gif");

        cOButton16.setActionName("ajouter");
        cOButton16.setBorderPainted(false);
        cOButton16.setEnabledMethod("modeSaisiePossible");
        cOButton16.setIconName("ajouter16.gif");

        cOButton14.setActionName("modifier");
        cOButton14.setBorderPainted(false);
        cOButton14.setEnabledMethod("boutonModificationAutorise");
        cOButton14.setIconName("modifier16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsModificationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsModification);
        vueBoutonsModification.setLayout(vueBoutonsModificationLayout);
        vueBoutonsModificationLayout.setHorizontalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 70, Short.MAX_VALUE)
            .add(vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(vueBoutonsModificationLayout.createSequentialGroup()
                    .addContainerGap()
                    .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                    .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                    .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(0, 0, 0)))
        );
        vueBoutonsModificationLayout.setVerticalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 22, Short.MAX_VALUE)
            .add(vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(vueBoutonsModificationLayout.createSequentialGroup()
                    .add(2, 2, 2)
                    .add(vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
        );

        listeAffichage.setColumns(new Object[][] {{"%d/%m/%Y","fdpDDebut",new Integer(0),"Début",new Integer(0),new Integer(75),new Integer(1000),new Integer(10)},{"%d/%m/%Y","fdpDFin",new Integer(0),"Fin",new Integer(0),new Integer(80),new Integer(1000),new Integer(10)},{"","fdpVisaAgent",new Integer(0),"Visa Agent",new Integer(0),new Integer(65),new Integer(1000),new Integer(10)},{null,"fdpVisaDirec",new Integer(0),"Visa Direc",new Integer(0),new Integer(65),new Integer(1000),new Integer(10)},{null,"fdpVisaResp",new Integer(0),"Visa Resp",new Integer(0),new Integer(65),new Integer(1000),new Integer(55)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);

        cOButton9.setActionName("annuler");
        cOButton9.setBorderPainted(false);
        cOButton9.setIconName("annuler16.gif");

        cOButton13.setActionName("valider");
        cOButton13.setBorderPainted(false);
        cOButton13.setEnabledMethod("peutValider");
        cOButton13.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsValidationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsValidation);
        vueBoutonsValidation.setLayout(vueBoutonsValidationLayout);
        vueBoutonsValidationLayout.setHorizontalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .addContainerGap()
                .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(0, 0, 0))
        );
        vueBoutonsValidationLayout.setVerticalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .add(2, 2, 2)
                .add(vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
        );

        cOButton1.setActionName("imprimerFicheDePoste");
        cOButton1.setBorderPainted(false);
        cOButton1.setEnabledMethod("boutonModificationAutorise");
        cOButton1.setIconName("imprimer16.gif");

        vueOnglets.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N

        Info.setFont(new java.awt.Font("Helvetica", 0, 12));

        cOView1.setIsBox(true);
        cOView1.setTitle("Visas");

        cOCheckbox1.setDisplayGroupForValue(displayGroup);
        cOCheckbox1.setEnabledMethod("modificationEnCours");
        cOCheckbox1.setText("Agent");
        cOCheckbox1.setValueName("fdpVisaAgentBool");

        cOCheckbox2.setDisplayGroupForValue(displayGroup);
        cOCheckbox2.setEnabledMethod("modificationEnCours");
        cOCheckbox2.setText("Responsable");
        cOCheckbox2.setValueName("fdpVisaRespBool");

        cOCheckbox3.setDisplayGroupForValue(displayGroup);
        cOCheckbox3.setEnabledMethod("modificationEnCours");
        cOCheckbox3.setText("Direction");
        cOCheckbox3.setValueName("fdpVisaDirecBool");

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                .add(21, 21, 21)
                .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(35, 35, 35)
                .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 100, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 64, Short.MAX_VALUE)
                .add(cOCheckbox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 80, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18))
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(12, Short.MAX_VALUE))
        );

        cOTextField3.setDisplayGroupForValue(displayGroup);
        cOTextField3.setEnabledMethod("nonEditable");
        cOTextField3.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField3.setSupportsBackgroundColor(true);
        cOTextField3.setValueName("referensEmplois.intitulemploi");

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel1.setText("Début");

        cOButton21.setActionName("supprimerReferensEmploi");
        cOButton21.setBorderPainted(false);
        cOButton21.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton21.setEnabledMethod("peutSupprimerReferensEmploi");
        cOButton21.setIconName("supprimer16.gif");

        cOTextField2.setDisplayGroupForValue(displayGroup);
        cOTextField2.setEnabledMethod("modificationEnCours");
        cOTextField2.setSupportsBackgroundColor(true);
        cOTextField2.setValueName("dateDebutFormatee");

        cOTextField1.setDisplayGroupForValue(displayGroup);
        cOTextField1.setEnabledMethod("modificationEnCours");
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("dateFinFormatee");

        cOButton20.setActionName("afficherReferensEmploi");
        cOButton20.setBorderPainted(false);
        cOButton20.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton20.setEnabledMethod("modificationEnCours");
        cOButton20.setIconName("loupe16.gif");

        jLabel3.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel3.setText("Emploi");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Fin");

        org.jdesktop.layout.GroupLayout InfoLayout = new org.jdesktop.layout.GroupLayout(Info);
        Info.setLayout(InfoLayout);
        InfoLayout.setHorizontalGroup(
            InfoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(InfoLayout.createSequentialGroup()
                .add(InfoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(InfoLayout.createSequentialGroup()
                        .add(20, 20, 20)
                        .add(InfoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(InfoLayout.createSequentialGroup()
                                .add(jLabel1)
                                .add(18, 18, 18)
                                .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 80, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(jLabel2)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 80, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(18, 18, 18))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, InfoLayout.createSequentialGroup()
                        .addContainerGap()
                        .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 375, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(2, 2, 2)
                        .add(cOButton20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(2, 2, 2)
                        .add(cOButton21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(InfoLayout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jLabel3)))
                .addContainerGap())
        );
        InfoLayout.setVerticalGroup(
            InfoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(InfoLayout.createSequentialGroup()
                .add(21, 21, 21)
                .add(InfoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2))
                .add(18, 18, 18)
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(jLabel3)
                .add(2, 2, 2)
                .add(InfoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOButton20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(76, 76, 76))
        );

        vueOnglets.addTab("Info", Info);

        Contexte.setFont(new java.awt.Font("Helvetica", 0, 12));

        cOTextArea1.setDisplayGroupForValue(displayGroup);
        cOTextArea1.setEnabledMethod("modificationEnCours");
        cOTextArea1.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextArea1.setShouldRefreshImmediately(true);
        cOTextArea1.setSupportsBackgroundColor(true);
        cOTextArea1.setValueName("fdpContexteTravail");

        cOLabel1.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOLabel1.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel1.setValueName("longueurContexte");

        org.jdesktop.layout.GroupLayout ContexteLayout = new org.jdesktop.layout.GroupLayout(Contexte);
        Contexte.setLayout(ContexteLayout);
        ContexteLayout.setHorizontalGroup(
            ContexteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, ContexteLayout.createSequentialGroup()
                .add(350, 350, 350)
                .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .add(ContexteLayout.createSequentialGroup()
                .add(8, 8, 8)
                .add(cOTextArea1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 408, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        ContexteLayout.setVerticalGroup(
            ContexteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ContexteLayout.createSequentialGroup()
                .addContainerGap()
                .add(cOTextArea1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 178, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2)
                .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        vueOnglets.addTab("Contexte", Contexte);

        Mission.setFont(new java.awt.Font("Helvetica", 0, 12));

        cOTextArea2.setDisplayGroupForValue(displayGroup);
        cOTextArea2.setEnabledMethod("modificationEnCours");
        cOTextArea2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextArea2.setShouldRefreshImmediately(true);
        cOTextArea2.setSupportsBackgroundColor(true);
        cOTextArea2.setValueName("fdpMissionPoste");

        cOLabel2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOLabel2.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel2.setValueName("longueurMission");

        org.jdesktop.layout.GroupLayout MissionLayout = new org.jdesktop.layout.GroupLayout(Mission);
        Mission.setLayout(MissionLayout);
        MissionLayout.setHorizontalGroup(
            MissionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, MissionLayout.createSequentialGroup()
                .add(350, 350, 350)
                .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 66, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .add(MissionLayout.createSequentialGroup()
                .add(8, 8, 8)
                .add(cOTextArea2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 408, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        MissionLayout.setVerticalGroup(
            MissionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(MissionLayout.createSequentialGroup()
                .addContainerGap()
                .add(cOTextArea2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 178, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2)
                .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        vueOnglets.addTab("Mission", Mission);

        Activite.setFont(new java.awt.Font("Helvetica", 0, 12));

        listeActivites.setColumns(new Object[][] {{null,"referensActivite.intitulactivite",new Integer(2),"Activités",new Integer(0),new Integer(360),new Integer(1000),new Integer(10)}});
        listeActivites.setDisplayGroupForTable(displayGroupActivites);

        cOButton4.setActionName("supprimerActivite");
        cOButton4.setBorderPainted(false);
        cOButton4.setEnabledMethod("peutSupprimerActivite");
        cOButton4.setIconName("supprimer16.gif");

        cOButton2.setActionName("afficherActivite");
        cOButton2.setBorderPainted(false);
        cOButton2.setIconName("info_small.gif");

        cOButton3.setActionName("ajouterActivite");
        cOButton3.setBorderPainted(false);
        cOButton3.setEnabledMethod("peutSupprimerReferensEmploi");
        cOButton3.setIconName("ajouter16.gif");

        org.jdesktop.layout.GroupLayout ActiviteLayout = new org.jdesktop.layout.GroupLayout(Activite);
        Activite.setLayout(ActiviteLayout);
        ActiviteLayout.setHorizontalGroup(
            ActiviteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ActiviteLayout.createSequentialGroup()
                .addContainerGap()
                .add(listeActivites, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 380, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2)
                .add(ActiviteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        ActiviteLayout.setVerticalGroup(
            ActiviteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ActiviteLayout.createSequentialGroup()
                .add(ActiviteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(listeActivites, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 192, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(ActiviteLayout.createSequentialGroup()
                        .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(56, 56, 56))
        );

        vueOnglets.addTab("Acti.", Activite);

        Competences.setFont(new java.awt.Font("Helvetica", 0, 12));

        cOButton5.setActionName("supprimerCompetence");
        cOButton5.setBorderPainted(false);
        cOButton5.setEnabledMethod("peutSupprimerCompetence");
        cOButton5.setIconName("supprimer16.gif");

        cOButton6.setActionName("afficherCompetence");
        cOButton6.setBorderPainted(false);
        cOButton6.setIconName("info_small.gif");

        cOButton7.setActionName("ajouterCompetence");
        cOButton7.setBorderPainted(false);
        cOButton7.setEnabledMethod("peutSupprimerReferensEmploi");
        cOButton7.setIconName("ajouter16.gif");

        listeCompetences.setColumns(new Object[][] {{null,"referensCompetence.intitulcomp",new Integer(2),"Compétences",new Integer(0),new Integer(360),new Integer(1000),new Integer(76)}});
        listeCompetences.setDisplayGroupForTable(displayGroupCompetences);

        org.jdesktop.layout.GroupLayout CompetencesLayout = new org.jdesktop.layout.GroupLayout(Competences);
        Competences.setLayout(CompetencesLayout);
        CompetencesLayout.setHorizontalGroup(
            CompetencesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(CompetencesLayout.createSequentialGroup()
                .addContainerGap()
                .add(listeCompetences, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 380, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2)
                .add(CompetencesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        CompetencesLayout.setVerticalGroup(
            CompetencesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(CompetencesLayout.createSequentialGroup()
                .add(CompetencesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(listeCompetences, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 192, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(CompetencesLayout.createSequentialGroup()
                        .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(56, 56, 56))
        );

        vueOnglets.addTab("Compét.", Competences);

        AutresActivites.setFont(new java.awt.Font("Helvetica", 0, 12));

        cOButton8.setActionName("supprimerAutreActivite");
        cOButton8.setBorderPainted(false);
        cOButton8.setEnabledMethod("peutSupprimerAutreActivite");
        cOButton8.setIconName("supprimer16.gif");

        cOButton11.setActionName("ajouterAutreActivite");
        cOButton11.setBorderPainted(false);
        cOButton11.setEnabledMethod("modificationEnCours");
        cOButton11.setIconName("ajouter16.gif");

        listeAutresActivites.setColumns(new Object[][] {{null,"fauActiviteAutre",new Integer(2),"Autres Activités",new Integer(0),new Integer(360),new Integer(1000),new Integer(91)}});
        listeAutresActivites.setDisplayGroupForTable(displayGroupAutresActivites);

        champTexteAutre.setDisplayGroupForValue(displayGroupAutresActivites);
        champTexteAutre.setEnabledMethod("modificationEnCours");
        champTexteAutre.setFont(new java.awt.Font("Helvetica", 0, 11));
        champTexteAutre.setShouldRefreshImmediately(true);
        champTexteAutre.setSupportsBackgroundColor(true);
        champTexteAutre.setValueName("fauActiviteAutre");

        cOLabel3.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOLabel3.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel3.setValueName("longueurAutreActivite");

        org.jdesktop.layout.GroupLayout AutresActivitesLayout = new org.jdesktop.layout.GroupLayout(AutresActivites);
        AutresActivites.setLayout(AutresActivitesLayout);
        AutresActivitesLayout.setHorizontalGroup(
            AutresActivitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(AutresActivitesLayout.createSequentialGroup()
                .addContainerGap()
                .add(AutresActivitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(AutresActivitesLayout.createSequentialGroup()
                        .add(AutresActivitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(AutresActivitesLayout.createSequentialGroup()
                                .add(listeAutresActivites, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 380, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(0, 0, 0)
                                .add(AutresActivitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(cOButton8, 0, 0, Short.MAX_VALUE)
                                    .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(champTexteAutre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 380, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addContainerGap())
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, AutresActivitesLayout.createSequentialGroup()
                        .add(cOLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(44, 44, 44))))
        );
        AutresActivitesLayout.setVerticalGroup(
            AutresActivitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(AutresActivitesLayout.createSequentialGroup()
                .addContainerGap()
                .add(AutresActivitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(listeAutresActivites, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(AutresActivitesLayout.createSequentialGroup()
                        .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(champTexteAutre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 86, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2)
                .add(cOLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        vueOnglets.addTab("Autres Acti.", AutresActivites);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(4, 4, 4)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 369, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(27, 27, 27)
                                .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 235, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(layout.createSequentialGroup()
                        .add(310, 310, 310)
                        .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(61, 61, 61)
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 335, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(4, 4, 4)
                        .add(vueOnglets, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(26, 26, 26))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(2, 2, 2)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(vueOnglets, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 247, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(2, 2, 2)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 251, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(2, 2, 2)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JPanel Activite;
    public javax.swing.JPanel AutresActivites;
    public javax.swing.JPanel Competences;
    public javax.swing.JPanel Contexte;
    public javax.swing.JPanel Info;
    public javax.swing.JPanel Mission;
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton13;
    public org.cocktail.component.COButton cOButton14;
    public org.cocktail.component.COButton cOButton15;
    public org.cocktail.component.COButton cOButton16;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton20;
    public org.cocktail.component.COButton cOButton21;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COButton cOButton4;
    public org.cocktail.component.COButton cOButton5;
    public org.cocktail.component.COButton cOButton6;
    public org.cocktail.component.COButton cOButton7;
    public org.cocktail.component.COButton cOButton8;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COCheckbox cOCheckbox1;
    public org.cocktail.component.COCheckbox cOCheckbox2;
    public org.cocktail.component.COCheckbox cOCheckbox3;
    public org.cocktail.component.COLabel cOLabel1;
    public org.cocktail.component.COLabel cOLabel2;
    public org.cocktail.component.COLabel cOLabel3;
    public org.cocktail.component.COTextArea cOTextArea1;
    public org.cocktail.component.COTextArea cOTextArea2;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField3;
    private org.cocktail.component.COView cOView1;
    public org.cocktail.component.COTextArea champTexteAutre;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroupDetail displayGroupActivites;
    public org.cocktail.component.CODisplayGroupDetail displayGroupAutresActivites;
    public org.cocktail.component.CODisplayGroupDetail displayGroupCompetences;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    public org.cocktail.component.COTable listeActivites;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COTable listeAutresActivites;
    public org.cocktail.component.COTable listeCompetences;
    public org.cocktail.component.COView vueBoutonsModification;
    public org.cocktail.component.COView vueBoutonsValidation;
    public javax.swing.JTabbedPane vueOnglets;
    // End of variables declaration//GEN-END:variables
                  

}
